{
  "$schema": "https://schemas.wp.org/trunk/block.json",
  "apiVersion": 2,
  "name": "homegrade-content-blocks/timeline-step",
  "version": "0.1.0",
  "title": "Étape de timeline",
  "category": "homegrade-blocks",
  "description": "Bloc d'étape de timeline",
  "supports": {
    "html": false
  },
  "editorScript": "file:./index.js",
  "editorStyle": "file:./index.css",
  "style": "file:./style-index.css",
  "attributes": {
    "timelineStepTitle": {
      "type": "string",
      "default": ""
    },
    "timelineStepSubtitle": {
      "type": "string",
      "default": ""
    },
    "timelineStepImageUrl": {
      "type": "string"
    },
    "timelineStepImageId": {
      "type": "number"
    },
    "timelineStepImageCaption": {
      "type": "string"
    },
    "timelineStepImageDescription": {
      "type": "string"
    },
    "timelineStepImageAlt": {
      "type": "string",
      "source": "attribute",
      "selector": "img",
      "attribute": "alt",
      "default": ""
    },
    "timelineStepIconUrl": {
      "type": "string"
    },
    "timelineStepIconId": {
      "type": "number"
    },
    "timelineStepIconAlt": {
      "type": "string",
      "source": "attribute",
      "selector": "img",
      "attribute": "alt",
      "default": ""
    },
    "hasStepIcon": {
      "type": "boolean",
      "default": true
    },
    "hasStepPicture": {
      "type": "boolean",
      "default": true
    }
  }
}